D-Bus 1.13.18

Data Fields
DBusWatchList Struct Reference
D-Bus secret internal implementation details » DBusWatch implementation details

DBusWatchList implementation details. More...

## Data Fields
DBusList * | watches
| Watch objects.
DBusAddWatchFunction | add_watch_function
| Callback for adding a watch.
DBusRemoveWatchFunction | remove_watch_function
| Callback for removing a watch.
DBusWatchToggledFunction | watch_toggled_function
| Callback on toggling enablement.
void * | watch_data
| Data for watch callbacks.
DBusFreeFunction | watch_free_data_function
| Free function for watch callback data.

## Detailed Description

DBusWatchList implementation details.

All fields are private.

Definition at line 214 of file dbus-watch.c.

The documentation for this struct was generated from the following file:

- dbus-watch.c